Bug 248321 - Software Manager crashes while resolving dependencies of a package
Software Manager crashes while resolving dependencies of a package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 20:49 EDT by William Seibert
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 15:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Seibert 2007-07-15 20:49:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.3) Gecko/20070417 Fedora/2.0.0.3-4.fc7 Firefox/2.0.0.3

Description of problem:
While trying to install some new packages, the Software Manager will crash while resolving the dependencies of the selected packages. It doesn't matter how many or which packages I choose, it still crashes.

Version-Release number of selected component (if applicable):
pirut-1.3.7-1.fc7

How reproducible:
Always


Steps to Reproduce:
1.Open Software Manager
2.select packages to install
3.click on install

Actual Results:
I get an unhandled exception error

Expected Results:
The packages should be installed.

Additional info:
Component: Software Manager
Summary: TB8a9b4f2f packageSack.py:600:returnNewestByNameArch:PackageSackError: No Package Matching glibc.i686

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 337, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 718, in applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 481, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 549, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 853, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 337, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 456, in _requiringFromInstalled
    po = self.pkgSack.returnNewestByNameArch((name,arch))[0]
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 308, in returnNewestByNameArch
    return bestofeach.returnNewestByNameArch(naTup)
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 600, in returnNewestByNameArch
    raise PackageSackError, 'No Package Matching %s.%s' % naTup
PackageSackError: No Package Matching glibc.i686

Local variables in innermost frame:
highdict: {}
self: <yum.packageSack.ListPackageSack object at 0x64a0250>
naTup: ('glibc', 'i686')
where: None
Comment 1 Jeremy Katz 2007-07-16 14:51:26 EDT
What's the output of 'uname -a' and 'rpm -q --qf "%{NAME}.%{ARCH}" glibc kernel'?
Comment 2 Jeremy Katz 2007-08-10 15:53:20 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.